Web lists-archives.com

Re: [Samba] Classic upgrade and forced password change...




Yes, a know thing, but is he using jessie or stretch. 

The upgrade from samba 4.2.x to 4.4.5 or up. 

Few options.

1) check if /etc/nsswitch.conf contains : 
,,,  : compat winbind
And not : winbid compat 
That bug is yesterday reported in debian. 

apt-get remove samba winbind samba-*  
When done
apt-get install samba winbind

This keeps all data. 
Just dont purge. 

Let me know if it worked for you. 

Greetz, 

Louis


> -----Oorspronkelijk bericht-----
> Van: samba [mailto:samba-bounces@xxxxxxxxxxxxxxx] Namens 
> Rowland Penny via samba
> Verzonden: woensdag 21 juni 2017 14:38
> Aan: samba@xxxxxxxxxxxxxxx
> Onderwerp: Re: [Samba] Classic upgrade and forced password change...
> 
> On Wed, 21 Jun 2017 14:10:24 +0200
> Marco Gaiarin <gaio@xxxxxxxxx> wrote:
> 
> > Mandi! Rowland Penny via samba
> >   In chel di` si favelave...
> > 
> > > You will probably be better off using a later version of 
> Samba, 4.2 
> > > is EOL as far as Samba is concerned. You can easily do 
> this by going 
> > > here: http://apt.van-belle.nl/
> > 
> > Sorry, i've tried to upgrade using the 'backport' version 
> (eg, samba 
> > from stretch) but i'm hitting a trouble on winbind:
> > 
> > root@lupus:~# dpkg --configure --pending Configurazione di winbind 
> > (2:4.5.8+dfsg-2~bpo8+1)...
> > Job for winbind.service failed. See 'systemctl status 
> winbind.service' 
> > and 'journalctl -xn' for details. invoke-rc.d:
> > initscript winbind, action "start" failed. dpkg: errore 
> nell'elaborare 
> > il pacchetto winbind (--configure): il sottoprocesso 
> installato script 
> > di post-installation ha restituito lo stato di errore 1 
> dpkg: problemi 
> > con le dipendenze impediscono la configurazione di 
> > libpam-winbind:amd64: libpam-winbind:amd64 dipende da winbind (= 
> > 2:4.5.8+dfsg-2~bpo8+1); comunque: Il pacchetto winbind non è ancora 
> > configurato.
> > 
> > dpkg: errore nell'elaborare il pacchetto libpam-winbind:amd64
> > (--configure): problemi con le dipendenze - lasciato non configurato
> > dpkg: problemi con le dipendenze impediscono la configurazione di
> > libnss-winbind:amd64: libnss-winbind:amd64 dipende da winbind (= 
> > 2:4.5.8+dfsg-2~bpo8+1); comunque: Il pacchetto winbind non è ancora 
> > configurato.
> > 
> > dpkg: errore nell'elaborare il pacchetto libnss-winbind:amd64
> > (--configure): problemi con le dipendenze - lasciato non 
> configurato 
> > Elaborazione dei trigger per libc-bin (2.19-18+deb8u10)...
> > Si sono verificati degli errori nell'elaborazione:
> >  winbind
> >  libpam-winbind:amd64
> >  libnss-winbind:amd64
> > 
> > 
> > looking at logs:
> > 
> >  root@lupus:~# journalctl -xn
> >  -- Logs begin at mer 2017-06-21 12:30:13 CEST, end at mer 
> 2017-06-21
> > 14:07:55 CEST. -- giu 21 14:07:54 lupus
> > systemd-fstab-generator[16314]: Checking was requested for 
> "/var/src", 
> > but it is not a device. giu 21 14:07:55 lupus
> > systemd-sysv-generator[16319]: Ignoring creation of an alias 
> > umountiscsi.service for itself giu 21 14:07:55 lupus systemd[1]:
> > Reloading. giu 21 14:07:55 lupus systemd-fstab-generator[16344]:
> > Checking was requested for "/var/tmp", but it is not a 
> device. giu 21
> > 14:07:55 lupus systemd-fstab-generator[16344]: Checking was 
> requested 
> > for "/var/src", but it is not a device. giu 21 14:07:55 lupus
> > systemd-sysv-generator[16349]: Ignoring creation of an alias 
> > umountiscsi.service for itself giu 21 14:07:55 lupus systemd[1]:
> > Starting Samba Winbind Daemon... -- Subject: L'unità 
> winbind.service 
> > inizia la fase di avvio -- Defined-By: systemd -- Support:
> > http://lists.freedesktop.org/mailman/listinfo/systemd-devel -- -- 
> > L'unità winbind.service ha iniziato la fase di avvio. giu 
> 21 14:07:55 
> > lupus systemd[1]: winbind.service: main process exited, 
> code=exited, 
> > status=1/FAILURE giu 21 14:07:55 lupus systemd[1]: Failed to start 
> > Samba Winbind Daemon. -- Subject: L'unità winbind.service è fallita
> > -- Defined-By: systemd -- Support:
> > http://lists.freedesktop.org/mailman/listinfo/systemd-devel -- -- 
> > L'unità winbind.service è fallita. -- -- Il risultato è failed.
> >  giu 21 14:07:55 lupus systemd[1]: Unit winbind.service 
> entered failed 
> > state.
> > 
> > 
> > before firing up a bugs in debian BTS, i'll ask you if there's know 
> > glitches in your package.
> > 
> > 
> > Thanks.
> > 
> 
> Hi Louis, I 'think' this guy is trying to use your packages, 
> but as you can see, he is having problems, anything you can 
> do to help ?
> 
> Rowland
> 
> --
> To unsubscribe from this list go to the following URL and read the
> instructions:  https://lists.samba.org/mailman/options/samba
> 


-- 
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba